### Method

# GtkSource StyleScheme get_metadata

since: 5.4

#### Declaration [src]

    const char*
    gtk_source_style_scheme_get_metadata (
      GtkSourceStyleScheme* scheme,
      const char* name
    )

#### Description [src]

Gets a metadata property from the style scheme.

Available since: 5.4

#### Parameters

`name`

  Type: `const char*`

  Metadata property name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

Value of property `name` stored in the metadata of `scheme` or `NULL` if `scheme` does not contain the specified metadata property.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.